Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Apache Ni-Fi 1.0 and raspberry pi 3 don't work together

Apache Ni-Fi 1.0 and raspberry pi 3 don't work together

Explorer

I have played with Apache Ni-Fi 1.0 and Raspberry Pi 3 (Newest Raspbian Jessie Lite installed) but they just dont work: After some simple workflow, whole raspberry gets stuck for good: You are not able to ssh in or if you happen to have ssh terminal open any command will froze terminal. I changed to Ni-fi 0.7 and all works very well. Do you happen to know why 1.0 is not working with this set up (Which is, I know, not for production use, but still) .. I also posted this to the ones who are planning to make this experiment, so go for the Ni-Fi 0.7 version at least for now ..

4 REPLIES 4
Highlighted

Re: Apache Ni-Fi 1.0 and raspberry pi 3 don't work together

Mentor

Try Apache Minifi instead, it is much more lightweight than standard Nifi install https://nifi.apache.org/minifi/

Highlighted

Re: Apache Ni-Fi 1.0 and raspberry pi 3 don't work together

Explorer

Thanks for the tip!

Highlighted

Re: Apache Ni-Fi 1.0 and raspberry pi 3 don't work together

Super Guru

1.00 has a lot of NARs follow the raspberry pi guide, you have to remove some of the extra stuff, but HDF 2 ran on my Rpi3B. https://community.hortonworks.com/content/kbentry/32605/running-nifi-on-raspberry-pi-best-practices....

Highlighted

Re: Apache Ni-Fi 1.0 and raspberry pi 3 don't work together

Explorer

Thanks for you reply. So you think that removing extra NAR-files from lib -folder will do the trick + following best practices ? I did that, but left NARs in Lib, and then It just didn't work properly..

Don't have an account?
Coming from Hortonworks? Activate your account here